Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd.ext
Class AcknowledgedMessagesExtension

    java.lang.Object
      org.mortbay.cometd.ext.AcknowledgedMessagesExtension

All Implemented Interfaces:
  org.cometd.Extension

    public class AcknowledgedMessagesExtension

extends java.lang.Object
implements org.cometd.Extension

Acknowledged Messages extension. Installing this extension in a bayeux server allows it to handle the ack extension if a client also supports it. The main role of this extension is to install the `AcknowledgedMessagesClientExtension` on the `Client` instances created during handshake for clients that also support the ack extension.

Constructor Summary
`AcknowledgedMessagesExtension()`

Method Summary
`org.cometd.Message` | `rcv(org.cometd.Client from, org.cometd.Message message)`
`org.cometd.Message` | `rcvMeta(org.cometd.Client from, org.cometd.Message message)`
`org.cometd.Message` | `send(org.cometd.Client from, org.cometd.Message message)`
`org.cometd.Message` | `sendMeta(org.cometd.Client from, org.cometd.Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AcknowledgedMessagesExtension

    public AcknowledgedMessagesExtension()

Method Detail

### rcv

    public org.cometd.Message rcv(org.cometd.Client from,
                                  org.cometd.Message message)

  Specified by:
    `rcv` in interface `org.cometd.Extension`

### rcvMeta

    public org.cometd.Message rcvMeta(org.cometd.Client from,
                                      org.cometd.Message message)

  Specified by:
    `rcvMeta` in interface `org.cometd.Extension`

### send

    public org.cometd.Message send(org.cometd.Client from,
                                   org.cometd.Message message)

  Specified by:
    `send` in interface `org.cometd.Extension`

### sendMeta

    public org.cometd.Message sendMeta(org.cometd.Client from,
                                       org.cometd.Message message)

  Specified by:
    `sendMeta` in interface `org.cometd.Extension`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.